%define name python-ldap
%define ver 2.0.2
%define rel 1mdk

%define have_pre %(echo %ver|awk '{p=0} /[a-z,A-Z][a-z,A-Z]/ {p=1} {print p}')
%if %have_pre
%define version %(perl -e '$name="%ver"; print ($name =~ /(.*?)[a-z]/);')
%define release 2mdk
%else
%define version %ver
%define release 2mdk
%endif

Summary: 	Various LDAP-related Python modules
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{ver}.tar.bz2
License:	Modified CNRI Open Source License
Group: 		Development/Python
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
Url: 		http://python-ldap.sourceforge.net/
BuildRequires:	openldap-devel python-devel

%description
python-ldap provides an object-oriented API to access LDAP directory 
servers from Python programs. Mainly it wraps the OpenLDAP 2.x libs 
for that purpose.

Additionally the package contains modules for other LDAP-related stuff 
(e.g. processing LDIF, LDAPURLs, LDAPv3 schema, etc.).

%prep
%setup -q -n %{name}-%ver
perl -pi -e 's,^(library_dirs.*=).*,$1,g' setup.cfg

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc CHANGES README INSTALL TODO Demo/

%changelog
* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 2.0.2-2mdk
- Rebuild for new python

* Wed Sep 01 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.2-1mdk
- 2.0.2

* Tue Jul 20 2004 Buchan Milne<bgmilne@linux-mandrake.com> 2.0.1-1mdk
- 2.0.1
- remove redundant buildrequires
- drop patch (no longer required), empty library_dirs in setup.cfg to avoid
  rpath entries

* Mon Apr 19 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.0-0.pre19.3mdk
- BuildRequires openssl-devel

* Mon Apr 19 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.0-0.pre19.2mdk
- BuildRequires libsasl2-devel

* Mon Feb 16 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.0-0.pre19.1mdk
- First Mandrake package
